<div class="animated fadeIn row">
  <div class="col-lg-9">
    <div class="row" style="margin: 0 1em 0 1em">
      <div class="input-group mb-3">
        <input type="text" class="form-control" placeholder="Search with vehicle number..." aria-label="Search"
               aria-describedby="basic-addon2" #searchValue>
        <div class="input-group-append">
          <button class="btn btn-success" type="button" (click)="onSearchButtonClick(searchValue.value)">Search
          </button>
        </div>
      </div>
    </div>
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <strong>Parked Vehicles</strong>
          <button class="float-right btn btn-pill btn-success" type="button" (click)="parkVehicleModal.show()">
            <i class="fa fa-plus"></i>&nbsp;Park Vehicle
          </button>
        </div>
        <div class="card-body">
          <table class="table table-bordered">
            <thead>
            <tr>
              <th>Vehicle Number</th>
              <th>Vehicle Type</th>
              <th>Entry Time</th>
              <th>Duration</th>
              <th>Action</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let entry of parkedVehicles">
              <td>{{entry.vehicleNumber}}</td>
              <td>
                <i *ngIf="entry.vehicleType === vehicleType.TWO_WHEELER" class="fa fa-motorcycle fa-lg"></i>
                <i *ngIf="entry.vehicleType === vehicleType.FOUR_WHEELER" class="fa fa-car fa-lg"></i>
              </td>
              <td>{{entry.enterTimeEpoch}}</td>
              <td>{{((currentEpoch() - entry.enterTimeEpoch) / (1000 * 60 * 60)) | number:'1.0-0'}} Hours</td>
              <td>
                <button class="btn btn-pill btn-danger" type="button" (click)="exitVehicle(entry)">
                  Exit Vehicle
                </button>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div class="col-lg-3">
    <div class="card text-white bg-primary" *ngIf="parkingLot">
      <div class="card-body pb-0">
        <div>
          <i class="fa fa-motorcycle fa-2x"></i>
          <i class="float-right fa fa-car fa-2x"></i>
        </div>
        <div>
          <span class="text-value">{{parkingLot.TWO_WHEELER.vacancy}}/{{parkingLot.TWO_WHEELER.maxOccupancy}}</span>
          <span class="float-right text-value">{{parkingLot.FOUR_WHEELER.vacancy}}
            /{{parkingLot.FOUR_WHEELER.maxOccupancy}}</span>
        </div>
        <div>
          <span>{{parkingLot.TWO_WHEELER.chargePerHour}} {{parkingLot.TWO_WHEELER.currency}}</span>
          <span class="float-right">{{parkingLot.FOUR_WHEELER.chargePerHour}} {{parkingLot.FOUR_WHEELER.currency}}</span>
        </div>
        <div class="mt-5 text-value">
          <span>{{parkingLot.parkingLotName}}</span>
        </div>
        <div>
          <span>{{parkingLot.address}}</span>
        </div>
        <div>
          <span>{{parkingLot.city}}</span>
        </div>
      </div>
    </div>
  </div>
</div>
<div bsModal #parkVehicleModal="bs-modal" class="modal fade" tabindex="-1" role="dialog"
     aria-labelledby="parkVehicleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Add Entry</h4>
        <button type="button" class="close" (click)="parkVehicleModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="col-sm-12">
          <form>
            <div class="card">
              <div class="card-header">
                <strong>Parking</strong>
                <small>Entry</small>
              </div>
              <div class="card-body">
                <div class="form-group">
                  <label for="vehicle_number">Vehicle Number</label>
                  <input type="text" class="form-control" id="vehicle_number" name="vehicle_number"
                         placeholder="KA12-6C-2367" [(ngModel)]="parkingLogRequest.vehicleNumber">
                </div>
                <div class="form-group">
                  <label for="selectVehicle">Select</label>
                  <select id="selectVehicle" name="selectVehicle" class="form-control"
                          [(ngModel)]="parkingLogRequest.vehicleType">
                    <option [value]="vehicleType.TWO_WHEELER">TWO WHEELER</option>
                    <option [value]="vehicleType.FOUR_WHEELER">FOUR WHEELER</option>
                  </select>
                </div>
                <div class="form-group">
                  <label for="street">Vehicle Weight</label>
                  <input type="number" class="form-control" id="street" name="street"
                         placeholder="Enter Vehicle weigh in Kg" [(ngModel)]="parkingLogRequest.vehicleWeight">
                </div>
              </div>
            </div>
          </form>
        </div><!--/.col-->
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="parkVehicleModal.hide()">Close</button>
        <button type="button" class="btn btn-primary" (click)="onFormSubmit();parkVehicleModal.hide()">
          Save changes
        </button>
      </div>
    </div>
  </div>
</div>
